#ifndef _BUTTONS_H
#define _BUTTONS_H

// Button connections
#define BUTTON_GROUP1_PIN PIND
#define BUTTON_GROUP1_FIRST 2
#define BUTTON_GROUP1_QTY 6
#define BUTTON_GROUP2_PIN PINB
#define BUTTON_GROUP2_FIRST 0
#define BUTTON_GROUP2_QTY 1

// minimum duration for short button press (number of button_tick() calls)
#define BUTTON_SHORT_PRESS 3



#include <stdint.h>

typedef struct {
	uint8_t count:4;
	uint8_t pressed:1;
	uint8_t short_press:1;
} button_T;

extern volatile button_T buttons[BUTTON_GROUP1_QTY + BUTTON_GROUP2_QTY];

void buttons_init(void);
void buttons_clear(void);
uint8_t buttons_read(uint8_t button);

#endif
